Skip to main content
POST
/
commerce
/
catalog
/
admin
/
facets
Error
A valid request URL is required to generate request examples
{
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "categoryCode": "<string>",
  "categoryId": 123,
  "facetId": 123,
  "facetType": "<string>",
  "isHidden": true,
  "order": 123,
  "overrideFacetId": 123,
  "rangeQueries": [
    {
      "rangeValueEnd": null,
      "rangeValueStart": null
    }
  ],
  "source": {
    "allowsRangeQuery": true,
    "dataType": "<string>",
    "id": "<string>",
    "name": "<string>",
    "type": "<string>"
  },
  "validity": {
    "isValid": true,
    "reasonCode": "<string>"
  },
  "valueSortType": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json

The definition of a Facet

auditInfo
object
categoryCode
string | null

The category that the facet is being configured at

categoryId
integer<int32> | null

The category that the facet is being configured at

facetId
integer<int32> | null

The unique identifier for the facet definition

facetType
string | null

The type of facet. Allowable values are: Value, RangeQuery Must be a valid value for DataType defined in FacetTypeConst.

isHidden
boolean

Indicates whether the facet is hidden for the given category

order
integer<int32>

Used to order the display of the facets within a section

overrideFacetId
integer<int32> | null

The ID of a parent category's facet being overriden

rangeQueries
object[] | null

List of ranges if the Facet is of type Range

source
object
validity
object
valueSortType
string | null

Determines how the facet values will be sorted in the store. Must be a valid value for DataType defined in FacetValueSortTypeConst. Allowable values are: CountAscending, CountDescending, ValuesAscending, ValuesDescending, AttributeDefinition, AttributeDefinitionDescending. The default if no value is specified will be CountDescending.

Response

Success

The definition of a Facet

auditInfo
object
categoryCode
string | null

The category that the facet is being configured at

categoryId
integer<int32> | null

The category that the facet is being configured at

facetId
integer<int32> | null

The unique identifier for the facet definition

facetType
string | null

The type of facet. Allowable values are: Value, RangeQuery Must be a valid value for DataType defined in FacetTypeConst.

isHidden
boolean

Indicates whether the facet is hidden for the given category

order
integer<int32>

Used to order the display of the facets within a section

overrideFacetId
integer<int32> | null

The ID of a parent category's facet being overriden

rangeQueries
object[] | null

List of ranges if the Facet is of type Range

source
object
validity
object
valueSortType
string | null

Determines how the facet values will be sorted in the store. Must be a valid value for DataType defined in FacetValueSortTypeConst. Allowable values are: CountAscending, CountDescending, ValuesAscending, ValuesDescending, AttributeDefinition, AttributeDefinitionDescending. The default if no value is specified will be CountDescending.